public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-util/gnome-builder/, profiles/
@ 2022-10-13  0:27 Matt Turner
  0 siblings, 0 replies; 2+ messages in thread
From: Matt Turner @ 2022-10-13  0:27 UTC (permalink / raw
  To: gentoo-commits

commit:     ef3ed93925d4b23c9dc3a3ff6c4581fd2d37fc24
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Wed Oct  5 17:16:40 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 00:26:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef3ed939

dev-util/gnome-builder: version bump to 43.2

Closes: https://bugs.gentoo.org/844103
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/gnome-builder/Manifest                  |   1 +
 dev-util/gnome-builder/gnome-builder-43.2.ebuild | 260 +++++++++++++++++++++++
 dev-util/gnome-builder/metadata.xml              |   1 +
 profiles/package.mask                            |   1 +
 4 files changed, 263 insertions(+)

diff --git a/dev-util/gnome-builder/Manifest b/dev-util/gnome-builder/Manifest
index 828deb59a157..818c466d86c7 100644
--- a/dev-util/gnome-builder/Manifest
+++ b/dev-util/gnome-builder/Manifest
@@ -1 +1,2 @@
 DIST gnome-builder-42.1.tar.xz 13276028 BLAKE2B 657e362ab9a2df1c70d9071ecc010747e5c73bbaa1c0d903778720e4fe874361013cfca3fe162328dfae180502c4fcc68ee01f04d1329add874b9e8db41abcd1 SHA512 a04a71efb163808ed4bfc446334b8f9cabe33cd33c977c9047e4fb00042b18cf7095217b2e287a45efda863ef479fce11435a2d24d489ba1816e3f36a561244e
+DIST gnome-builder-43.2.tar.xz 10276768 BLAKE2B 52637fdcac1d455cfe84c7f8eead8ce941ff641c0af932b053afa6c346ed1eab54747edbf5b3a516cdc557cc0c2934fcd9c352ff71a1ee74830d8bd11d452af6 SHA512 39e4081bbd2aae8bb2ce152b6a907849693a7c7fc12d232b6909a15eed9dd791e58b1dabfadc92cfdc01ba2ab20c553bf0dd4f098d0441f0705e3db3bfe67869

diff --git a/dev-util/gnome-builder/gnome-builder-43.2.ebuild b/dev-util/gnome-builder/gnome-builder-43.2.ebuild
new file mode 100644
index 000000000000..93eb5643b264
--- /dev/null
+++ b/dev-util/gnome-builder/gnome-builder-43.2.ebuild
@@ -0,0 +1,260 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..11} )
+DISABLE_AUTOFORMATTING=1
+FORCE_PRINT_ELOG=1
+
+inherit gnome.org gnome2-utils llvm meson optfeature python-single-r1 readme.gentoo-r1 virtualx xdg
+
+DESCRIPTION="An IDE for writing GNOME-based software"
+HOMEPAGE="https://wiki.gnome.org/Apps/Builder https://gitlab.gnome.org/GNOME/gnome-builder"
+
+# FIXME: Review licenses at some point
+LICENSE="GPL-3+ GPL-2+ LGPL-3+ LGPL-2+ MIT CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="clang doc +d-spy flatpak +git gtk-doc spell +sysprof test +webkit"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	flatpak? ( git )
+"
+
+# When bumping, pay attention to all the included plugins/*/meson.build (and other) build files and the requirements within.
+# `grep -rI dependency * --include='meson.build'` can give a good initial idea for external deps and their double checking.
+# The listed RDEPEND order should roughly match that output as well, with toplevel one first then sorted by file path.
+# Most plugins have no extra requirements and default to enabled; we need to handle the ones with extra requirements. Many of
+# them have optional runtime dependencies, for which we try to at least notify the user via DOC_CONTENTS (but not all small
+# things); `grep -rI -e 'command-pattern.*=' -e 'push_arg'` can give a (spammy) idea, plus python imports in try/except.
+
+# Editorconfig needs old pcre, with vte migrating away, might want it optional or ported to pcre2?
+# An introspection USE flag of a dep is required if any introspection based language plugin wants to use it (grep for gi.repository). Last full check at 3.28.4
+
+# TODO: Handle llvm slots via llvm.eclass; see plugins/clang/meson.build
+RDEPEND="
+	>=dev-libs/glib-2.73.3:2
+	>=gui-libs/gtk-4.7.1:4[introspection]
+	>=gui-libs/libadwaita-1.2.0:1
+	>=gui-libs/libpanel-1.0.0:1
+	>=gui-libs/gtksourceview-5.5.2:5[introspection]
+	>=dev-libs/json-glib-1.2.0
+	>=dev-libs/jsonrpc-glib-3.42.0:=
+	>=dev-libs/libpeas-1.34.0[python,${PYTHON_SINGLE_USEDEP}]
+	dev-libs/libportal:=[gtk,introspection]
+	>=dev-libs/template-glib-3.36.0:=[introspection]
+	>=gui-libs/vte-0.70.0:2.91-gtk4[introspection]
+	>=dev-libs/libxml2-2.9.0
+	webkit? ( >=net-libs/webkit-gtk-2.38.0:5=[introspection] )
+	>=app-text/cmark-0.29.0:0=
+	d-spy? ( >=dev-util/d-spy-1.4.0:1 )
+	app-text/editorconfig-core-c
+	flatpak? (
+		dev-util/ostree
+		>=net-libs/libsoup-3:3.0
+		>=sys-apps/flatpak-1.10.2
+	)
+	git? (
+		dev-libs/libgit2:=[ssh,threads]
+		>=dev-libs/libgit2-glib-1.1.0[ssh]
+	)
+
+	>=dev-libs/gobject-introspection-1.54.0:=
+	$(python_gen_cond_dep '
+		>=dev-python/pygobject-3.22.0:3[${PYTHON_USEDEP}]
+	')
+	${PYTHON_DEPS}
+	clang? ( sys-devel/clang:= )
+	spell? (
+		app-text/enchant:2
+		dev-libs/icu:=
+	)
+	sysprof? (
+		>=dev-util/sysprof-capture-3.46.0:4
+		>=dev-util/sysprof-3.46.0:0/4
+	)
+"
+DEPEND="${RDEPEND}"
+# TODO: runtime ctags path finding..
+
+# desktop-file-utils required for tests, but we have it in deptree for xdg update-desktop-database anyway, so be explicit and unconditional
+# appstream-glib needed for validation with appstream-util with FEATURES=test
+BDEPEND="
+	doc? (
+		$(python_gen_cond_dep '
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+		')
+	)
+	gtk-doc? (
+		dev-util/gi-docgen
+		app-text/docbook-xml-dtd:4.3
+	)
+	test? (
+		dev-libs/appstream-glib
+		sys-apps/dbus
+	)
+	dev-util/desktop-file-utils
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+DOC_CONTENTS='gnome-builder can use various other dependencies on runtime to provide
+extra capabilities beyond these expressed via USE flags. Some of these
+that are currently available with packages include:
+
+* dev-util/ctags with exuberant-ctags selected via "eselect ctags" for
+  C, C++, Python, JavaScript, CSS, HTML and Ruby autocompletion, semantic
+  highlighting and symbol resolving support.
+* dev-python/jedi and dev-python/lxml for more accurate Python
+  autocompletion support.
+* dev-util/valgrind for integration with valgrind.
+* dev-util/meson for integration with the Meson build system.
+* dev-util/cargo for integration with the Rust Cargo build system.
+* dev-util/cmake for integration with the CMake build system.
+* net-libs/nodejs[npm] for integration with the NPM package system.
+'
+# FIXME: Package codespell and mention here
+# FIXME: Package gnome-code-assistance and mention here, or maybe USE flag and default enable because it's rather important
+# eslint for additional diagnostics in JavaScript files (what package has this? At least something via NPM..)
+# jhbuild support
+# rust support via rust-analyzer; Go via go-langserver
+# autotools stuff for autotools plugin; gtkmm/autoconf-archive for C++ template
+# gjs/gettext/mono/PHPize stuff, but most of these are probably installed for other reasons anyways, when needed inside IDE
+# stylelint for stylesheet (CSS and co) linting
+# gvls for vala language-server integration
+
+llvm_check_deps() {
+	has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+	use clang && llvm_pkg_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dchannel=other
+
+		-Ddevelopment=false
+		-Dtracing=false
+		-Dprofiling=false # not passing -pg to CFLAGS
+		-Dtcmalloc=false
+		-Dwith_safe_path=''
+		-Dgnome_sdk_version=master
+		$(meson_use doc help)
+		$(meson_use gtk-doc docs)
+		-Dnetwork_tests=false
+		-Dctags_path=''
+		$(meson_feature webkit)
+
+		-Dplugin_autotools=true
+		-Dplugin_bash_language_server=true
+		-Dplugin_blueprint=true
+		-Dplugin_buildstream=true
+		-Dplugin_c_pack=true
+		-Dplugin_cargo=true
+		$(meson_use clang plugin_clang)
+		$(meson_use clang plugin_clangd)
+		$(meson_use clang plugin_clang_format)
+		-Dplugin_cmake=true
+		-Dplugin_codespell=true
+		-Dplugin_code_index=true
+		-Dplugin_copyright=true
+		-Dplugin_ctags=true
+		-Dplugin_deviced=false # libdeviced not packaged?
+		$(meson_use d-spy plugin_dspy)
+		-Dplugin_editorconfig=true
+		-Dplugin_eslint=true
+		-Dplugin_file_search=true
+		$(meson_use flatpak plugin_flatpak)
+		-Dplugin_gdb=true
+		-Dplugin_gdiagnose=true
+		-Dplugin_gettext=true
+		$(meson_use git plugin_git)
+		-Dplugin_gopls=true
+		-Dplugin_gradle=true
+		-Dplugin_grep=true
+		-Dplugin_html_completion=true
+		$(meson_use webkit plugin_html_preview)
+		-Dplugin_intelephense=true
+		-Dplugin_jdtls=true
+		-Dplugin_jedi_language_server=true
+		-Dplugin_jhbuild=true
+		-Dplugin_make=true
+		-Dplugin_make_templates=true
+		$(meson_use webkit plugin_markdown_preview)
+		-Dplugin_maven=true
+		-Dplugin_meson=true
+		-Dplugin_meson_templates=true
+		-Dplugin_modelines=true
+		-Dplugin_mono=true
+		-Dplugin_newcomers=true
+		-Dplugin_notification=true
+		-Dplugin_npm=true
+		-Dplugin_phpize=true
+		-Dplugin_podman=true
+		-Dplugin_pygi=true
+		# -Dplugin_python_lsp_server=true # isn't recognized by meson even though it's in meson.build and meson-options.txt. See also: https://gitlab.gnome.org/GNOME/gnome-builder/-/issues/1842
+		-Dplugin_qemu=true
+		-Dplugin_quick_highlight=true
+		-Dplugin_retab=true
+		-Dplugin_rstcheck=true
+		-Dplugin_rubocop=true
+		-Dplugin_rust_analyzer=false # rust-analyzer not packaged
+		-Dplugin_shellcmd=true
+		$(meson_use spell plugin_spellcheck)
+		$(meson_use webkit plugin_sphinx_preview)
+		-Dplugin_stylelint=true
+		$(meson_use sysprof plugin_sysprof)
+		-Dplugin_sysroot=true
+		-Dplugin_todo=true
+		-Dplugin_ts_language_server=true
+		-Dplugin_update_manager=true
+		-Dplugin_valac=true
+		-Dplugin_vala_indenter=true
+		-Dplugin_valgrind=true
+		-Dplugin_vls=true
+		-Dplugin_waf=true
+		-Dplugin_words=true
+		-Dplugin_xml_pack=true
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+	if use doc; then
+		rm "${ED}"/usr/share/doc/gnome-builder/en/.buildinfo || die
+		rm "${ED}"/usr/share/doc/gnome-builder/en/objects.inv || die
+		# custom docdir in build system, blocked by https://github.com/mesonbuild/meson/issues/825
+		mv "${ED}"/usr/share/doc/gnome-builder/en "${ED}"/usr/share/doc/${PF}/html || die
+		# _sources subdir left in on purpose, as HTML links to the rst files as "View page source". Additionally default docompress exclusion of /html/ already ensures they aren't compressed, thus linkable as-is.
+		rmdir "${ED}"/usr/share/doc/gnome-builder/ || die
+	fi
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+	readme.gentoo_print_elog
+
+	optfeature_header "Language support"
+	optfeature "Rust's Cargo build system" virtual/rust
+	optfeature "CMake" dev-util/cmake
+	optfeature "Java Maven build system" dev-java/maven-bin
+	optfeature "Meson Build system" dev-util/meson
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}
+
+src_test() {
+	virtx dbus-run-session meson test -C "${BUILD_DIR}"
+}

diff --git a/dev-util/gnome-builder/metadata.xml b/dev-util/gnome-builder/metadata.xml
index 63870d032088..66e65b0e7344 100644
--- a/dev-util/gnome-builder/metadata.xml
+++ b/dev-util/gnome-builder/metadata.xml
@@ -8,6 +8,7 @@
 <use>
 	<flag name="clang">Provide integration with <pkg>sys-devel/clang</pkg> for best possible C/C++ autocompletion, semantic highlighting, symbol resolving, and diagnostics support</flag>
 	<flag name="devhelp">Provide API docs browsing and integration via <pkg>dev-util/devhelp</pkg></flag>
+	<flag name="d-spy">Provide D-Bus debugging functionality via <pkg>dev-util/d-spy</pkg></flag>
 	<flag name="flatpak">Enable support for flatpak applications using <pkg>sys-apps/flatpak</pkg></flag>
 	<flag name="git">Provide support for the Git version control system via <pkg>dev-libs/libgit2-glib</pkg>
 		(such as setup of Git for New Project, direct cloning for Open Project and changed lines indicators in the editor gutter)</flag>

diff --git a/profiles/package.mask b/profiles/package.mask
index 5922276a2de6..47b540593a9f 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -537,6 +537,7 @@ sci-geosciences/geocode-glib:2
 >=sys-libs/libosinfo-1.10.0-r1
 >=www-client/epiphany-43
 >=x11-wm/mutter-43
+>=dev-util/gnome-builder-43.2
 
 # Thomas Deutschmann <whissi@gentoo.org> (2021-09-07)
 # Masked while being tested and reverse deps aren't fully compatible


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/gnome-builder/, profiles/
@ 2023-03-20 22:06 Matt Turner
  0 siblings, 0 replies; 2+ messages in thread
From: Matt Turner @ 2023-03-20 22:06 UTC (permalink / raw
  To: gentoo-commits

commit:     ab64654c353dd3a0465f6e8d42e9ce8a7c12755e
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Mon Mar 20 21:13:05 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 22:06:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab64654c

dev-util/gnome-builder: Version bump to 44.1

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30124
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/gnome-builder/Manifest                  |   1 +
 dev-util/gnome-builder/gnome-builder-44.1.ebuild | 275 +++++++++++++++++++++++
 profiles/package.mask                            |   1 +
 3 files changed, 277 insertions(+)

diff --git a/dev-util/gnome-builder/Manifest b/dev-util/gnome-builder/Manifest
index c38e35504f85..9d7c70010963 100644
--- a/dev-util/gnome-builder/Manifest
+++ b/dev-util/gnome-builder/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-builder-43.4.tar.xz 10284936 BLAKE2B 50af653566b35525a751d1ab0698c42e205aa8ab3205b390d10625f67a984986f24e5c0a5512629d81c082265435d5f39380de2c675d64e9f0b6d47c2fc62451 SHA512 c8600aea7bd01fb8a75baf321d8670600aa0ac77f7a42cccc7107fd9d2addd0264f132a4e36c2ae66ad7dbd8dc94dfc52421655254eee93d0a3298aa2cc224db
 DIST gnome-builder-43.6.tar.xz 10289396 BLAKE2B e9b8c98f5463906e0ec522307f0ec07c130045288db5b1295b56320ac36814019ee3350f73543c8a1655812dcd8b26da4cbe9d1b5bd3bda8cc7a943f308a91ee SHA512 e444843e1eae2a901048dc6f2ff7683c3693fcbceeb113ebd28e7a51d1ea9c3b7e317e28ceae9b659dc89cf3b75cabd526fff9483b81c623d809ca268a2c9a45
+DIST gnome-builder-44.1.tar.xz 9785408 BLAKE2B 43a41aa4856f3bbd84b6bab6686cd128d697d54e539d6b88e668a088eb256d11459d058046428564a706bf6e3766e3f61f9ff503151f16647f82bbbe400ab3fa SHA512 92653392fcd6c3a83f78c500037e8b8be05663cc8918e5521baacfbf5d251896358a284e7b37e4c49428c921b7f0cc2a96afa029cd00589b48f40b365e4decbc

diff --git a/dev-util/gnome-builder/gnome-builder-44.1.ebuild b/dev-util/gnome-builder/gnome-builder-44.1.ebuild
new file mode 100644
index 000000000000..1961588e03a8
--- /dev/null
+++ b/dev-util/gnome-builder/gnome-builder-44.1.ebuild
@@ -0,0 +1,275 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..11} )
+DISABLE_AUTOFORMATTING=1
+FORCE_PRINT_ELOG=1
+
+inherit gnome.org gnome2-utils llvm meson optfeature python-single-r1 readme.gentoo-r1 virtualx xdg
+
+DESCRIPTION="An IDE for writing GNOME-based software"
+HOMEPAGE="https://wiki.gnome.org/Apps/Builder https://gitlab.gnome.org/GNOME/gnome-builder"
+
+# FIXME: Review licenses at some point
+LICENSE="GPL-3+ GPL-2+ LGPL-3+ LGPL-2+ MIT CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="clang doc +d-spy flatpak +git gtk-doc spell +sysprof test +webkit"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	flatpak? ( git )
+"
+
+# When bumping, pay attention to all the included plugins/*/meson.build (and other) build files and the requirements within.
+# `grep -rI dependency * --include='meson.build'` can give a good initial idea for external deps and their double checking.
+# The listed RDEPEND order should roughly match that output as well, with toplevel one first then sorted by file path.
+# Most plugins have no extra requirements and default to enabled; we need to handle the ones with extra requirements. Many of
+# them have optional runtime dependencies, for which we try to at least notify the user via DOC_CONTENTS (but not all small
+# things); `grep -rI -e 'command-pattern.*=' -e 'push_arg'` can give a (spammy) idea, plus python imports in try/except.
+
+# Editorconfig needs old pcre, with vte migrating away, might want it optional or ported to pcre2?
+# An introspection USE flag of a dep is required if any introspection based language plugin wants to use it (grep for gi.repository). Last full check at 3.28.4
+
+# TODO: Handle llvm slots via llvm.eclass; see plugins/clang/meson.build
+RDEPEND="
+	>=dev-libs/glib-2.75.0:2
+	>=gui-libs/gtk-4.8:4[introspection]
+	>=gui-libs/libadwaita-1.3.0:1
+	>=gui-libs/libpanel-1.1.2:1
+	>=gui-libs/gtksourceview-5.7.2:5[introspection]
+	>=dev-libs/json-glib-1.2.0
+	>=dev-libs/jsonrpc-glib-3.43.0:=
+	>=dev-libs/libdex-0.1.1:=
+	>=dev-libs/libpeas-1.34.0[python,${PYTHON_SINGLE_USEDEP}]
+	dev-libs/libportal:=[gtk,introspection]
+	>=dev-libs/template-glib-3.36.1:=[introspection]
+	>=gui-libs/vte-0.70.0:2.91-gtk4[introspection]
+	>=dev-libs/libxml2-2.9.0
+	webkit? ( >=net-libs/webkit-gtk-2.38.0:6=[introspection] )
+	>=app-text/cmark-0.29.0:0=
+	d-spy? ( >=dev-util/d-spy-1.4.0:1 )
+	app-text/editorconfig-core-c
+	flatpak? (
+		dev-util/ostree
+		>=net-libs/libsoup-3:3.0
+		>=sys-apps/flatpak-1.10.2
+	)
+	git? (
+		dev-libs/libgit2:=[ssh,threads]
+		>=dev-libs/libgit2-glib-1.1.0[ssh]
+	)
+
+	>=dev-libs/gobject-introspection-1.54.0:=
+	$(python_gen_cond_dep '
+		>=dev-python/pygobject-3.22.0:3[${PYTHON_USEDEP}]
+	')
+	${PYTHON_DEPS}
+	clang? ( sys-devel/clang:= )
+	spell? (
+		app-text/enchant:2
+		dev-libs/icu:=
+	)
+	sysprof? (
+		>=dev-util/sysprof-capture-3.46.0:4
+		>=dev-util/sysprof-3.46.0:0/4
+	)
+"
+DEPEND="${RDEPEND}"
+# TODO: runtime ctags path finding..
+
+# desktop-file-utils required for tests, but we have it in deptree for xdg update-desktop-database anyway, so be explicit and unconditional
+# appstream-glib needed for validation with appstream-util with FEATURES=test
+BDEPEND="
+	doc? (
+		$(python_gen_cond_dep '
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+		')
+	)
+	gtk-doc? (
+		dev-util/gi-docgen
+		app-text/docbook-xml-dtd:4.3
+	)
+	test? (
+		dev-libs/appstream-glib
+		sys-apps/dbus
+	)
+	dev-util/desktop-file-utils
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+DOC_CONTENTS='gnome-builder can use various other dependencies on runtime to provide
+extra capabilities beyond these expressed via USE flags. Some of these
+that are currently available with packages include:
+
+* dev-util/ctags with exuberant-ctags selected via "eselect ctags" for
+  C, C++, Python, JavaScript, CSS, HTML and Ruby autocompletion, semantic
+  highlighting and symbol resolving support.
+* dev-python/python-lsp-server for more accurate Python
+  autocompletion support.
+* dev-util/valgrind for integration with valgrind.
+* dev-util/meson for integration with the Meson build system.
+* virtual/rust for integration with the Rust Cargo build system.
+* dev-util/cmake for integration with the CMake build system.
+* net-libs/nodejs[npm] for integration with the NPM package system.
+'
+# FIXME: Package codespell and mention here
+# FIXME: Package gnome-code-assistance and mention here, or maybe USE flag and default enable because it's rather important
+# eslint for additional diagnostics in JavaScript files (what package has this? At least something via NPM..)
+# jhbuild support
+# rust support via rust-analyzer; Go via go-langserver
+# autotools stuff for autotools plugin; gtkmm/autoconf-archive for C++ template
+# gjs/gettext/mono/PHPize stuff, but most of these are probably installed for other reasons anyways, when needed inside IDE
+# stylelint for stylesheet (CSS and co) linting
+# gvls for vala language-server integration
+
+llvm_check_deps() {
+	has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+	use clang && llvm_pkg_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dchannel=other
+
+		-Ddevelopment=false
+		-Dtracing=false
+		-Dprofiling=false # not passing -pg to CFLAGS
+		-Dtcmalloc=false
+		-Dwith_safe_path=''
+		-Dgnome_sdk_version=master
+		$(meson_use doc help)
+		$(meson_use gtk-doc docs)
+		-Dnetwork_tests=false
+		-Dctags_path=''
+		$(meson_feature webkit)
+
+		-Dplugin_autotools=true
+		-Dplugin_bash_language_server=true
+		-Dplugin_blueprint=true
+		-Dplugin_buildstream=true
+		-Dplugin_c_pack=true
+		-Dplugin_cargo=true
+		$(meson_use clang plugin_clang)
+		$(meson_use clang plugin_clangd)
+		$(meson_use clang plugin_clang_format)
+		-Dplugin_cmake=true
+		-Dplugin_codesearch=true
+		-Dplugin_codeshot=true
+		-Dplugin_codespell=true
+		-Dplugin_code_index=true
+		-Dplugin_copyright=true
+		-Dplugin_ctags=true
+		-Dplugin_deviced=false # libdeviced not packaged?
+		$(meson_use d-spy plugin_dspy)
+		-Dplugin_dub=true
+		-Dplugin_editorconfig=true
+		-Dplugin_eslint=true
+		-Dplugin_file_search=true
+		$(meson_use flatpak plugin_flatpak)
+		-Dplugin_gdb=true
+		-Dplugin_gdiagnose=true
+		-Dplugin_gettext=true
+		$(meson_use git plugin_git)
+		-Dplugin_glsl_language_server=true
+		-Dplugin_golang=true
+		-Dplugin_gopls=true
+		-Dplugin_gradle=true
+		-Dplugin_grep=true
+		-Dplugin_hadolint=true
+		-Dplugin_html_completion=true
+		$(meson_use webkit plugin_html_preview)
+		-Dplugin_intelephense=true
+		-Dplugin_jdtls=true
+		-Dplugin_jedi_language_server=false
+		-Dplugin_jhbuild=true
+		-Dplugin_lua_language_server=true
+		-Dplugin_make=true
+		-Dplugin_make_templates=true
+		$(meson_use webkit plugin_markdown_preview)
+		$(meson_use webkit plugin_markdown_indenter)
+		-Dplugin_maven=true
+		-Dplugin_meson=true
+		-Dplugin_meson_templates=true
+		-Dplugin_modelines=true
+		-Dplugin_mono=true
+		-Dplugin_newcomers=true
+		-Dplugin_notification=true
+		-Dplugin_npm=true
+		-Dplugin_phpize=true
+		-Dplugin_podman=true
+		-Dplugin_pygi=true
+		-Dplugin_python_lsp_server=true
+		-Dplugin_qemu=true
+		-Dplugin_quick_highlight=true
+		-Dplugin_retab=true
+		-Dplugin_rstcheck=true
+		-Dplugin_rubocop=true
+		-Dplugin_rust_analyzer=false # rust-analyzer not packaged
+		-Dplugin_serve_d=true
+		-Dplugin_shellcheck=true
+		-Dplugin_shellcmd=true
+		-Dplugin_sourcekit_lsp=true
+		$(meson_use spell plugin_spellcheck)
+		$(meson_use webkit plugin_sphinx_preview)
+		-Dplugin_stylelint=true
+		-Dplugin_swift=true
+		-Dplugin_swiftformat=true
+		-Dplugin_swiftlint=true
+		$(meson_use sysprof plugin_sysprof)
+		-Dplugin_todo=true
+		-Dplugin_ts_language_server=true
+		-Dplugin_update_manager=true
+		-Dplugin_valac=true
+		-Dplugin_vala_indenter=true
+		-Dplugin_vala_language_server=true
+		-Dplugin_valgrind=true
+		-Dplugin_waf=true
+		-Dplugin_words=true
+		-Dplugin_xml_pack=true
+		-Dplugin_zls=true
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+	if use doc; then
+		rm "${ED}"/usr/share/doc/gnome-builder/en/.buildinfo || die
+		rm "${ED}"/usr/share/doc/gnome-builder/en/objects.inv || die
+		# custom docdir in build system, blocked by https://github.com/mesonbuild/meson/issues/825
+		mv "${ED}"/usr/share/doc/gnome-builder/en "${ED}"/usr/share/doc/${PF}/html || die
+		# _sources subdir left in on purpose, as HTML links to the rst files as "View page source". Additionally default docompress exclusion of /html/ already ensures they aren't compressed, thus linkable as-is.
+		rmdir "${ED}"/usr/share/doc/gnome-builder/ || die
+	fi
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+	readme.gentoo_print_elog
+
+	optfeature_header "Language support"
+	optfeature "Rust's Cargo build system" virtual/rust
+	optfeature "CMake" dev-util/cmake
+	optfeature "Java Maven build system" dev-java/maven-bin
+	optfeature "Meson Build system" dev-util/meson
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}
+
+src_test() {
+	virtx dbus-run-session meson test -C "${BUILD_DIR}"
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index 448a40932b93..2855d7441956 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -160,6 +160,7 @@ dev-ruby/net-http-persistent:3
 >=app-text/evince-44_rc
 >=dev-libs/gjs-1.75
 >=dev-python/pygobject-3.43
+>=dev-util/gnome-builder-44
 >=gnome-base/gnome-session-44_rc
 >=gnome-base/gnome-settings-daemon-44_rc
 >=gnome-base/gnome-shell-44_rc


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2023-03-20 22:06 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-10-13  0:27 [gentoo-commits] repo/gentoo:master commit in: dev-util/gnome-builder/, profiles/ Matt Turner
  -- strict thread matches above, loose matches on Subject: below --
2023-03-20 22:06 Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox